This repository has been archived on 2024-07-10. You can view files and clone it. You cannot open issues or pull requests or push a commit.
Files
caelebfi 53ea88c22e committing changes in /etc made by "apt install libgcc-8-dev gcc-8-base"
Package changes:
-binutils 2.31.1-16+rpi2 armhf
-binutils-arm-linux-gnueabihf 2.31.1-16+rpi2 armhf
-binutils-common 2.31.1-16+rpi2 armhf
+binutils 2.35.2-2+rpi1 armhf
+binutils-arm-linux-gnueabihf 2.35.2-2+rpi1 armhf
+binutils-common 2.35.2-2+rpi1 armhf
-cpp-8 8.3.0-6+rpi1 armhf
+cpp-8 8.4.0-7+rpi1 armhf
-g++-8 8.3.0-6+rpi1 armhf
+g++-8 8.4.0-7+rpi1 armhf
+gcc-10-base 10.2.1-6+rpi1 armhf
-gcc-8 8.3.0-6+rpi1 armhf
-gcc-8-base 8.3.0-6+rpi1 armhf
+gcc-8 8.4.0-7+rpi1 armhf
+gcc-8-base 8.4.0-7+rpi1 armhf
+gcc-9-base 9.3.0-22+rpi1 armhf
+libapt-pkg6.0 2.2.4 armhf
-libasan5 8.3.0-6+rpi1 armhf
+libasan5 9.3.0-22+rpi1 armhf
-libatomic1 8.3.0-6+rpi1 armhf
+libatomic1 10.2.1-6+rpi1 armhf
-libbinutils 2.31.1-16+rpi2 armhf
+libbinutils 2.35.2-2+rpi1 armhf
-libc-bin 2.28-10+rpt2+rpi1 armhf
-libc-dev-bin 2.28-10+rpt2+rpi1 armhf
-libc-l10n 2.28-10+rpt2+rpi1 all
-libc6 2.28-10+rpt2+rpi1 armhf
-libc6-dbg 2.28-10+rpt2+rpi1 armhf
-libc6-dev 2.28-10+rpt2+rpi1 armhf
+libc-bin 2.31-13+rpt2+rpi1+deb11u2 armhf
+libc-dev-bin 2.31-13+rpt2+rpi1+deb11u2 armhf
+libc-l10n 2.31-13+rpt2+rpi1+deb11u2 all
+libc6 2.31-13+rpt2+rpi1+deb11u2 armhf
+libc6-dbg 2.31-13+rpt2+rpi1+deb11u2 armhf
+libc6-dev 2.31-13+rpt2+rpi1+deb11u2 armhf
-libcc1-0 8.3.0-6+rpi1 armhf
+libcbor0 0.5.0+dfsg-2 armhf
+libcc1-0 10.2.1-6+rpi1 armhf
+libcrypt-dev 1:4.4.18-4 armhf
+libcrypt1 1:4.4.18-4 armhf
+libctf-nobfd0 2.35.2-2+rpi1 armhf
+libctf0 2.35.2-2+rpi1 armhf
+libffi7 3.3-6 armhf
+libfido2-1 1.6.0-2 armhf
-libgcc-8-dev 8.3.0-6+rpi1 armhf
-libgcc1 1:8.3.0-6+rpi1 armhf
+libgcc-8-dev 8.4.0-7+rpi1 armhf
+libgcc-s1 10.2.1-6+rpi1 armhf
-libgirepository-1.0-1 1.58.3-2 armhf
-libglib2.0-0 2.58.3-2+deb10u2 armhf
+libgirepository-1.0-1 1.66.1-1+b1 armhf
+libglib2.0-0 2.66.8-1 armhf
-libgomp1 8.3.0-6+rpi1 armhf
+libgomp1 10.2.1-6+rpi1 armhf
+libisl23 0.23-1 armhf
+libjs-sphinxdoc 3.4.3-2 all
+libjs-underscore 1.9.1~dfsg-3 all
-libmount1 2.33.1-0.1 armhf
+libmount1 2.36.1-8 armhf
+libmpdec3 2.5.1-1+rpi1 armhf
+libnsl-dev 1.3.0-2 armhf
+libnsl2 1.3.0-2 armhf
-libpython3-dev 3.7.3-1 armhf
-libpython3-stdlib 3.7.3-1 armhf
+libpython3-dev 3.9.2-3 armhf
+libpython3-stdlib 3.9.2-3 armhf
+libpython3.9 3.9.2-1+rpi1 armhf
+libpython3.9-dev 3.9.2-1+rpi1 armhf
+libpython3.9-minimal 3.9.2-1+rpi1 armhf
+libpython3.9-stdlib 3.9.2-1+rpi1 armhf
+libreadline8 8.1-1 armhf
-libselinux1 2.8-1+b1 armhf
+libselinux1 3.1-3 armhf
-libstdc++-8-dev 8.3.0-6+rpi1 armhf
-libstdc++6 8.3.0-6+rpi1 armhf
+libstdc++-8-dev 8.4.0-7+rpi1 armhf
+libstdc++6 10.2.1-6+rpi1 armhf
-libtirpc-common 1.1.4-0.4 all
-libtirpc3 1.1.4-0.4 armhf
-libubsan1 8.3.0-6+rpi1 armhf
+libtirpc-common 1.3.1-1 all
+libtirpc-dev 1.3.1-1 armhf
+libtirpc3 1.3.1-1 armhf
+libubsan1 10.2.1-6+rpi1 armhf
+libxxhash0 0.8.0-2+rpi1 armhf
-libzstd1 1.3.8+dfsg-3+rpi1+deb10u2 armhf
+libzstd1 1.4.8+dfsg-2.1+rpi1 armhf
-locales 2.28-10+rpt2+rpi1 all
+locales 2.31-13+rpt2+rpi1+deb11u2 all
-manpages 4.16-2 all
-manpages-dev 4.16-2 all
+manpages 5.10-1 all
+manpages-dev 5.10-1 all
-openssh-client 1:7.9p1-10+deb10u2+rpt1 armhf
-openssh-server 1:7.9p1-10+deb10u2+rpt1 armhf
-openssh-sftp-server 1:7.9p1-10+deb10u2+rpt1 armhf
+openssh-client 1:8.4p1-5+b1 armhf
+openssh-server 1:8.4p1-5+b1 armhf
+openssh-sftp-server 1:8.4p1-5+b1 armhf
-python3 3.7.3-1 armhf
-python3-apt 1.8.4.3 armhf
+python3 3.9.2-3 armhf
+python3-apt 2.2.1 armhf
-python3-cffi-backend 1.12.2-1 armhf
+python3-cffi-backend 1.14.5-1 armhf
-python3-crypto 2.6.1-9+b1 armhf
+python3-crypto 2.6.1-13.1+b1 armhf
-python3-dbus 1.2.8-3 armhf
+python3-dbus 1.2.16-5 armhf
-python3-dev 3.7.3-1 armhf
-python3-distutils 3.7.3-1 all
+python3-dev 3.9.2-3 armhf
+python3-distutils 3.9.2-1 all
-python3-gi 3.30.4-1 armhf
+python3-gi 3.38.0-2 armhf
-python3-lib2to3 3.7.3-1 all
-python3-minimal 3.7.3-1 armhf
+python3-lib2to3 3.9.2-1 all
+python3-minimal 3.9.2-3 armhf
-python3.7 3.7.3-2+deb10u3 armhf
-python3.7-dev 3.7.3-2+deb10u3 armhf
+python3.9 3.9.2-1+rpi1 armhf
+python3.9-dev 3.9.2-1+rpi1 armhf
+python3.9-minimal 3.9.2-1+rpi1 armhf
+runit-helper 2.10.3 all
2022-01-13 14:42:30 +01:00

167 lines
4.0 KiB
Bash
Executable File

#! /bin/sh
### BEGIN INIT INFO
# Provides: sshd
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop:
# Short-Description: OpenBSD Secure Shell server
### END INIT INFO
set -e
# /etc/init.d/ssh: start and stop the OpenBSD "secure shell(tm)" daemon
test -x /usr/sbin/sshd || exit 0
( /usr/sbin/sshd -\? 2>&1 | grep -q OpenSSH ) 2>/dev/null || exit 0
umask 022
if test -f /etc/default/ssh; then
. /etc/default/ssh
fi
. /lib/lsb/init-functions
if [ -n "$2" ]; then
SSHD_OPTS="$SSHD_OPTS $2"
fi
# Are we running from init?
run_by_init() {
([ "$previous" ] && [ "$runlevel" ]) || [ "$runlevel" = S ]
}
check_for_no_start() {
# forget it if we're trying to start, and /etc/ssh/sshd_not_to_be_run exists
if [ -e /etc/ssh/sshd_not_to_be_run ]; then
if [ "$1" = log_end_msg ]; then
log_end_msg 0 || true
fi
if ! run_by_init; then
log_action_msg "OpenBSD Secure Shell server not in use (/etc/ssh/sshd_not_to_be_run)" || true
fi
exit 0
fi
}
check_dev_null() {
if [ ! -c /dev/null ]; then
if [ "$1" = log_end_msg ]; then
log_end_msg 1 || true
fi
if ! run_by_init; then
log_action_msg "/dev/null is not a character device!" || true
fi
exit 1
fi
}
check_privsep_dir() {
# Create the PrivSep empty dir if necessary
if [ ! -d /run/sshd ]; then
mkdir /run/sshd
chmod 0755 /run/sshd
fi
}
check_config() {
if [ ! -e /etc/ssh/sshd_not_to_be_run ]; then
# shellcheck disable=SC2086
/usr/sbin/sshd $SSHD_OPTS -t || exit 1
fi
}
export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"
case "$1" in
start)
check_privsep_dir
check_for_no_start
check_dev_null
log_daemon_msg "Starting OpenBSD Secure Shell server" "sshd" || true
# shellcheck disable=SC2086
if start-stop-daemon --start --quiet --oknodo --chuid 0:0 --pidfile /run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
log_end_msg 0 || true
else
log_end_msg 1 || true
fi
;;
stop)
log_daemon_msg "Stopping OpenBSD Secure Shell server" "sshd" || true
if start-stop-daemon --stop --quiet --oknodo --pidfile /run/sshd.pid --exec /usr/sbin/sshd; then
log_end_msg 0 || true
else
log_end_msg 1 || true
fi
;;
reload|force-reload)
check_for_no_start
check_config
log_daemon_msg "Reloading OpenBSD Secure Shell server's configuration" "sshd" || true
if start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /run/sshd.pid --exec /usr/sbin/sshd; then
log_end_msg 0 || true
else
log_end_msg 1 || true
fi
;;
restart)
check_privsep_dir
check_config
log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd" || true
start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile /run/sshd.pid --exec /usr/sbin/sshd
check_for_no_start log_end_msg
check_dev_null log_end_msg
# shellcheck disable=SC2086
if start-stop-daemon --start --quiet --oknodo --chuid 0:0 --pidfile /run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
log_end_msg 0 || true
else
log_end_msg 1 || true
fi
;;
try-restart)
check_privsep_dir
check_config
log_daemon_msg "Restarting OpenBSD Secure Shell server" "sshd" || true
RET=0
start-stop-daemon --stop --quiet --retry 30 --pidfile /run/sshd.pid --exec /usr/sbin/sshd || RET="$?"
case $RET in
0)
# old daemon stopped
check_for_no_start log_end_msg
check_dev_null log_end_msg
# shellcheck disable=SC2086
if start-stop-daemon --start --quiet --oknodo --chuid 0:0 --pidfile /run/sshd.pid --exec /usr/sbin/sshd -- $SSHD_OPTS; then
log_end_msg 0 || true
else
log_end_msg 1 || true
fi
;;
1)
# daemon not running
log_progress_msg "(not running)" || true
log_end_msg 0 || true
;;
*)
# failed to stop
log_progress_msg "(failed to stop)" || true
log_end_msg 1 || true
;;
esac
;;
status)
status_of_proc -p /run/sshd.pid /usr/sbin/sshd sshd && exit 0 || exit $?
;;
*)
log_action_msg "Usage: /etc/init.d/ssh {start|stop|reload|force-reload|restart|try-restart|status}" || true
exit 1
esac
exit 0